<!-- HTML header for doxygen 1.9.8-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CPA: TestController Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
<link href="../../doxygen-awesome.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only.css" rel="stylesheet" type="text/css"/>
<link href="../../doxygen-awesome-sidebar-only-darkmode-toggle.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../doxygen-awesome-darkmode-toggle.js"></script>
  <script type="text/javascript">
      DoxygenAwesomeDarkModeToggle.init()
  </script>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../Cubicverde.png"/></td>
  <td id="projectalign">
   <div id="projectname">CPA<span id="projectnumber">&#160;0.0.1</span>
   </div>
   <div id="projectbrief">Central de Parametrização do Autônomo</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.8 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d4b/classapplications_1_1test_1_1_test_controller_1_1_test_controller.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle"><div class="title">TestController Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TestController:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/d4b/classapplications_1_1test_1_1_test_controller_1_1_test_controller.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abdd362d5f799ad16b5d6700efe590290" id="r_abdd362d5f799ad16b5d6700efe590290"><td class="memItemLeft" align="right" valign="top"><a id="abdd362d5f799ad16b5d6700efe590290" name="abdd362d5f799ad16b5d6700efe590290"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>__init__</b> (self)</td></tr>
<tr class="separator:abdd362d5f799ad16b5d6700efe590290"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24e26649e89bd100f0569c760ec1061b" id="r_a24e26649e89bd100f0569c760ec1061b"><td class="memItemLeft" align="right" valign="top"><a id="a24e26649e89bd100f0569c760ec1061b" name="a24e26649e89bd100f0569c760ec1061b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>onCompleted</b> (self)</td></tr>
<tr class="separator:a24e26649e89bd100f0569c760ec1061b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d40c9e612257251d1d7b7e520fd11f7" id="r_a4d40c9e612257251d1d7b7e520fd11f7"><td class="memItemLeft" align="right" valign="top"><a id="a4d40c9e612257251d1d7b7e520fd11f7" name="a4d40c9e612257251d1d7b7e520fd11f7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>mainControllerReference</b> (self)</td></tr>
<tr class="separator:a4d40c9e612257251d1d7b7e520fd11f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac09f8aea12d8af8e57402c397ead2457" id="r_ac09f8aea12d8af8e57402c397ead2457"><td class="memItemLeft" align="right" valign="top"><a id="ac09f8aea12d8af8e57402c397ead2457" name="ac09f8aea12d8af8e57402c397ead2457"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>mainControllerReference</b> (self, val)</td></tr>
<tr class="separator:ac09f8aea12d8af8e57402c397ead2457"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62b92dc520af5394f4e21719890fd7f2" id="r_a62b92dc520af5394f4e21719890fd7f2"><td class="memItemLeft" align="right" valign="top"><a id="a62b92dc520af5394f4e21719890fd7f2" name="a62b92dc520af5394f4e21719890fd7f2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>communicationHandlerReference</b> (self)</td></tr>
<tr class="separator:a62b92dc520af5394f4e21719890fd7f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3b7cce56dee8d5bcbc209be3a99f2b4" id="r_ab3b7cce56dee8d5bcbc209be3a99f2b4"><td class="memItemLeft" align="right" valign="top"><a id="ab3b7cce56dee8d5bcbc209be3a99f2b4" name="ab3b7cce56dee8d5bcbc209be3a99f2b4"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>communicationHandlerReference</b> (self, val)</td></tr>
<tr class="separator:ab3b7cce56dee8d5bcbc209be3a99f2b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a846f9b31091ec7b44cabfff03fcdbb7b" id="r_a846f9b31091ec7b44cabfff03fcdbb7b"><td class="memItemLeft" align="right" valign="top"><a id="a846f9b31091ec7b44cabfff03fcdbb7b" name="a846f9b31091ec7b44cabfff03fcdbb7b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>debug</b> (self, str='')</td></tr>
<tr class="separator:a846f9b31091ec7b44cabfff03fcdbb7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bb1105aa8d8ed255bfad0c6ceb1c1bc" id="r_a8bb1105aa8d8ed255bfad0c6ceb1c1bc"><td class="memItemLeft" align="right" valign="top"><a id="a8bb1105aa8d8ed255bfad0c6ceb1c1bc" name="a8bb1105aa8d8ed255bfad0c6ceb1c1bc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>serialReceive</b> (self, data)</td></tr>
<tr class="separator:a8bb1105aa8d8ed255bfad0c6ceb1c1bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d61b2e6cd0492c08241374e9ed5b897" id="r_a6d61b2e6cd0492c08241374e9ed5b897"><td class="memItemLeft" align="right" valign="top"><a id="a6d61b2e6cd0492c08241374e9ed5b897" name="a6d61b2e6cd0492c08241374e9ed5b897"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>testDataTransmission</b> (self)</td></tr>
<tr class="separator:a6d61b2e6cd0492c08241374e9ed5b897"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a27c136aaa45075ca9c9b1db7d215b4e7" id="r_a27c136aaa45075ca9c9b1db7d215b4e7"><td class="memItemLeft" align="right" valign="top"><a id="a27c136aaa45075ca9c9b1db7d215b4e7" name="a27c136aaa45075ca9c9b1db7d215b4e7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>testDataTransmission</b></td></tr>
<tr class="separator:a27c136aaa45075ca9c9b1db7d215b4e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68625730ed5773c490eaa195d8bd3640" id="r_a68625730ed5773c490eaa195d8bd3640"><td class="memItemLeft" align="right" valign="top"><a id="a68625730ed5773c490eaa195d8bd3640" name="a68625730ed5773c490eaa195d8bd3640"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>serialReceive</b></td></tr>
<tr class="separator:a68625730ed5773c490eaa195d8bd3640"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a0930e37589e8f2d2cb0b1635c2f51942" id="r_a0930e37589e8f2d2cb0b1635c2f51942"><td class="memItemLeft" align="right" valign="top"><a id="a0930e37589e8f2d2cb0b1635c2f51942" name="a0930e37589e8f2d2cb0b1635c2f51942"></a>
str&#160;</td><td class="memItemRight" valign="bottom"><b>viewPath</b> = os.path.dirname(__file__) + '/testView.qml'</td></tr>
<tr class="separator:a0930e37589e8f2d2cb0b1635c2f51942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a770a6cca18cefea9b618bb702afd8784" id="r_a770a6cca18cefea9b618bb702afd8784"><td class="memItemLeft" align="right" valign="top"><a id="a770a6cca18cefea9b618bb702afd8784" name="a770a6cca18cefea9b618bb702afd8784"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>serialTransmit</b> = Signal(bytearray)</td></tr>
<tr class="separator:a770a6cca18cefea9b618bb702afd8784"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1f9e91600e342b572ac9e5a83372fe" id="r_a3a1f9e91600e342b572ac9e5a83372fe"><td class="memItemLeft" align="right" valign="top"><a id="a3a1f9e91600e342b572ac9e5a83372fe" name="a3a1f9e91600e342b572ac9e5a83372fe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>debug_timer</b> = None</td></tr>
<tr class="separator:a3a1f9e91600e342b572ac9e5a83372fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-static-attribs" name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr class="memitem:a71bfb9ea0502ffa5be962599a112120a" id="r_a71bfb9ea0502ffa5be962599a112120a"><td class="memItemLeft" align="right" valign="top"><a id="a71bfb9ea0502ffa5be962599a112120a" name="a71bfb9ea0502ffa5be962599a112120a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_mainControllerReference</b> = None</td></tr>
<tr class="separator:a71bfb9ea0502ffa5be962599a112120a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a426991f8b1b5ed300424b7decaa435ff" id="r_a426991f8b1b5ed300424b7decaa435ff"><td class="memItemLeft" align="right" valign="top"><a id="a426991f8b1b5ed300424b7decaa435ff" name="a426991f8b1b5ed300424b7decaa435ff"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_communicationHandlerReference</b> = None</td></tr>
<tr class="separator:a426991f8b1b5ed300424b7decaa435ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>applications/test/<b>TestController.py</b></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>applications</b></li><li class="navelem"><b>test</b></li><li class="navelem"><b>TestController</b></li><li class="navelem"><a class="el" href="../../d5/d4b/classapplications_1_1test_1_1_test_controller_1_1_test_controller.html">TestController</a></li>
    <li class="footer">Generated on Wed Dec 6 2023 13:24:22 for CPA by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.8 </li>
  </ul>
</div>
</body>
</html>
